// pages/Ticket/Ticket.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    types: [{
      id: 0,
      name: '头等舱'
    }, {
        id: 1,
        name: '商务舱'
    }, {
        id: 2,
        name: '经济舱'
    }],
    index:0,//初始化数据
    items: [
      { name: '0', value: '携带儿童' },
      { name: '1', value: '携带婴儿', checked: 'true' }
    ]
  },
  bindPickerChange: function(e) {
    console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      index: e.detail.value
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})